const webpack = require("webpack");
const path = require("path");

let config = {
    mode: 'development',
    entry: [
        "./src/assets/js/quartiers_de_demain.js",
        "./src/assets/js/animated_logo.js",
        "./src/assets/scss/quartiers_de_demain.scss",
        "./src/assets/css/animated_logo.css",

    ],
    
    output: {
        path: path.resolve(__dirname, "./dist/assets"),
        filename: "./bundle.js"
    },

    module: {
        rules: [
            {
                test: /\.scss$/i,
                use: [
                    {
                        loader: 'file-loader',
                        options: {
                            name: './css/bundle.css',
                        }
                    },
                    // Compile le Sass en CSS
                    "sass-loader"
                ],
            },
        ],
    }
}





module.exports = config;